Permalink
Browse files

Remove PGXN::Meta.

This is just the validator now.
  • Loading branch information...
1 parent 1b3f9ad commit 24186622957559b75e5a9831cad992e9a2b6727f @theory theory committed May 25, 2011
Showing with 20 additions and 905 deletions.
  1. +1 −1 .gitignore
  2. +7 −9 Build.PL
  3. +2 −8 Changes
  4. +1 −1 MANIFEST.SKIP
  5. +7 −6 README.md
  6. +0 −416 lib/PGXN/Meta.pm
  7. +0 −253 lib/PGXN/Meta/Prereqs.pm
  8. +2 −1 lib/PGXN/Meta/Validator.pm
  9. +0 −209 t/base.t
  10. +0 −1 t/validator.t
View
@@ -1,6 +1,6 @@
_build
blib
-PGXN-Meta-*
+PGXN-Meta-Validator-*
MANIFEST
MANIFEST.bak
/META.*
View
@@ -3,7 +3,7 @@ use warnings;
use Module::Build;
Module::Build->new(
- module_name => 'PGXN::Meta',
+ module_name => 'PGXN::Meta::Validator',
license => 'perl',
create_makefile_pl => 'traditional',
configure_requires => { 'Module::Build' => '0.30' },
@@ -13,21 +13,19 @@ Module::Build->new(
'Test::More' => '0.88',
},
requires => {
- 'Carp' => 0,
- 'JSON' => 0,
- 'perl' => 5.010,
- 'Scalar::Util' => 0,
- 'SemVer' => '0.2.0',
+ 'Carp' => 0,
+ 'perl' => 5.010,
+ 'SemVer' => '0.2.0',
},
recommends => {
'Test::Pod' => '1.41',
'Test::Pod::Coverage' => '1.06',
},
meta_merge => {
resources => {
- homepage => 'http://search.cpan.org/dist/PGXN-Meta/',
- bugtracker => 'http://github.com/theory/pgxn-meta/issues/',
- repository => 'http://github.com/theory/pgxn-meta/tree/',
+ homepage => 'http://search.cpan.org/dist/PGXN-Meta-Validator/',
+ bugtracker => 'http://github.com/theory/pgxn-meta-validator/issues/',
+ repository => 'http://github.com/theory/pgxn-meta-validator/tree/',
}
},
)->create_build_script;
View
10 Changes
@@ -1,10 +1,4 @@
-Revision history for Perl extension PGXN-Meta.
+Revision history for Perl extension PGXN-Meta-Validator.
-0.12.2
-
-0.12.1 2011-05-12T18:11:02
- - Fixed test failures on Windows.
- - Support Perl 5.10 and higher. Tests were failing on 5.8.
-
-0.12.0 2011-04-29T21:50:27
+0.10.0
- Initial public release on CPAN.
View
@@ -26,7 +26,7 @@
\b\.#
# Avoid build files.
-^PGXN-Meta
+^PGXN-Meta-Validator
# Avoid spelling test.
pod-spelling.t$
View
@@ -1,8 +1,9 @@
-PGXN/Meta version 0.12.2
-=======================
+PGXN/Meta/Validator version 0.10.0
+==================================
-This library's module, PGXN::Meta, provides a simple Perl interface to the PGXN
-Web API. It's designed to work with any PGXN mirror or API server.
+This library's module, PGXN::Meta::Validator, provides a simple Perl interface
+to validate the metadata read from a `META.json` file to ensure that it
+adheres to the L<PGXN Meta Spec|http://pgxn.org/spec/>.
INSTALLATION
@@ -23,9 +24,9 @@ Or, if you don't have Module::Build installed, type the following:
Dependencies
------------
-PGXN-Meta requires the following modules:
+PGXN-Meta::Validator requires the following modules:
-* perl 5.8.1
+* perl 5.10.0
Copyright and Licence
---------------------
Oops, something went wrong.

0 comments on commit 2418662

Please sign in to comment.